//--------------------------------------------------------------------------------------------------------------------------//
//Choix Selection cellule
//--------------------------------------------------------------------------------------------------------------------------//
char ValeurSelectionBT=0;
char RenvoiSelectionBT=0;

char ValeurBT255Cellule(void)
{
  RenvoiSelectionBT=255;
  ValeurSelectionBT=0;
  /*  if(R==1)
    {
    SerialBT.print("\nSelectionnez la valeur avec : ");
    SerialBT.print("\na=0 b=10 ... z=250");
    SerialBT.print("\n\nexemple : z mettera la couleur ");
    SerialBT.print("\nselectionné au  maximume de ça");
    SerialBT.print("\npuissance, a donnera une couleur nul");

  
    SerialBT.print("\n\nvous pouvez aussi directement taper");
    SerialBT.print("\nles 3 valeurs RGB d'un coup exemple:");
    SerialBT.print("\nasz donne R:0 G:180 B:250");
    }*/
  
  while(RenvoiSelectionBT==255)
  //while(RenvoiSelectionBT==255 || ValeurSelectionBT==0) // ca marcher aussi
  {
    

        ValeurSelectionBT = SerialBT.read();
        
        
        if(ValeurSelectionBT == 'a')                            
                    {
                            RenvoiSelectionBT = 0 ;
                    }
        if(ValeurSelectionBT == 'b')                            
                    {
                            RenvoiSelectionBT = 1 ;
                    }
        if(ValeurSelectionBT == 'c')                            
                    {
                            RenvoiSelectionBT = 2 ;
                    }
        if(ValeurSelectionBT == 'd')                            
                    {
                            RenvoiSelectionBT = 3 ;
                    }
        if(ValeurSelectionBT == 'e')                            
                    {
                            RenvoiSelectionBT = 4 ;
                    }
        if(ValeurSelectionBT == 'f')                            
                    {
                            RenvoiSelectionBT = 5 ;
                    }
        if(ValeurSelectionBT == 'g')                            
                    {
                            RenvoiSelectionBT = 6 ;
                    }
        if(ValeurSelectionBT == 'h')                            
                    {
                            RenvoiSelectionBT = 7 ;
                    }
        if(ValeurSelectionBT == 'i')                            
                    {
                            RenvoiSelectionBT = 8 ;
                    }
        if(ValeurSelectionBT == 'j')                            
                    {
                            RenvoiSelectionBT = 9 ;
                    }

      delay(200);
      //SerialBT.print("Reception actuelle  : ");                                 
      //SerialBT.println(ValeurSelectionBT, DEC);                          
    
  }

return RenvoiSelectionBT;

}
